// Alpine Valley shader file

textures/alpine/avterrain2
{
	qer_editorimage textures/common/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_terrain
}

textures/alpine/avterrain
{
	qer_editorimage textures/common/terrain.tga
	surfaceparm dust
	surfaceparm rq3_snow
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_terrain
}
textures/alpine/avterrain_0
{
	q3map_lightmapsamplesize 32
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	//q3map_lightimage textures/alpine/pjrock12b_2.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/alpine/pjrock12b_2.tga
		
	}
	{
		map $lightmap
		
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/alpine/avterrain_1
{
	q3map_lightmapsamplesize 32
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	//q3map_lightimage textures/alpine/pjrock10b_2.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/alpine/pjrock10b_2.tga
		
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/alpine/avterrain_2
{
	q3map_lightmapsamplesize 32
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	//q3map_lightimage textures/alpine/snow.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/alpine/snow.tga
		
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/alpine/avterrain_0to1
{
	q3map_lightmapsamplesize 32
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	//q3map_lightimage textures/alpine/pjrock12b_2.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/alpine/pjrock12b_2.tga
		//rgbGen identity
	}
	{
		map textures/alpine/pjrock10b_2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		//rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/alpine/avterrain_0to2
{
	q3map_lightmapsamplesize 32
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	//q3map_lightimage textures/alpine/pjrock12b_2.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		//map textures/alpine/snow.tga
		map textures/alpine/pjrock12b_2.tga
		//rgbGen identity
	}
	{
		//map textures/alpine/pjrock12b_2.tga
		map textures/alpine/snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex		
	}
	{
		map $lightmap
		//rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/alpine/avterrain_1to2
{
	q3map_lightmapsamplesize 32
	q3map_lightmapaxis z
	q3map_texturesize 256 256
	//q3map_lightimage textures/alpine/pjrock10b_2.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		//map textures/alpine/snow.tga
		map textures/alpine/pjrock10b_2.tga
		//rgbGen identity
	}
	{
		//map textures/alpine/pjrock10b_2.tga
		map textures/alpine/snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex		
	}
	{
		map $lightmap
		//rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}



textures/alpine/vxavterrain
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_globaltexture
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/alpine/pjrock12b_2.tga
		rgbGen vertex
	}
}

//**********************************************************************//
//									//
//	alpine_skybox.shader for Q3Radiant					//
//	 								//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/alpine/alpine_skybox
{
	qer_editorimage textures/alpine/skybox1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 227 237 254 150 35 80
	q3map_surfacelight 50
		
	skyparms env/alpine/alpinesky - -
}

models/mapobjects/geit/branch
{	
	qer_editorimage models/mapobjects/geit/branch.tga
	nopicmip
	cull none
	{
		map models/mapobjects/geit/branch.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/flares/candleflame
{

	
		deformVertexes autoSprite
                surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/alpine/alpineglass
{
	qer_trans 0.40
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	{
		map textures/alpine/alpineglass.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
}

textures/alpine/alpineglass02
{
	qer_editorimage textures/alpine/alpineglass.tga
        surfaceparm trans
	surfaceparm slick
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/alpine/alpinewindow
{
	qer_trans 0.40
	surfaceparm alphashadow
	surfaceparm nolightmap
	{
		map textures/alpine/alpinewindow.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
}




textures/alpine/thinice
{
	nopicmip		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alpine/thinice.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



textures/alpine/icicle1_1
{
	qer_editorimage textures/alpine/sprite1_1.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/alpine/sprite1_1.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpine/icicle1_2
{
	qer_editorimage textures/alpine/sprite1_2.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/alpine/sprite1_2.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpine/icicle1_3
{
	qer_editorimage textures/alpine/sprite1_3.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/alpine/sprite1_3.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpine/icicle1_4
{
	qer_editorimage textures/alpine/sprite1_4.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/alpine/sprite1_4.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpine/icicle1_5
{
	qer_editorimage textures/alpine/sprite1_5.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/alpine/sprite1_5.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpine/icicle1_6
{
	qer_editorimage textures/alpine/sprite1_6.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/alpine/sprite1_6.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpine/icicle1_6_trans
{
	qer_editorimage textures/alpine/sprite1_6.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull disable

	{
		map textures/alpine/sprite1_6.tga
		blendFunc add
		rgbGen identity
	}
}

textures/alpine/icicle1_7
{
	qer_editorimage textures/alpine/sprite1_7.tga
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/alpine/sprite1_7.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpine/pondice
{
	qer_editorimage textures/alpine/ice1_21.tga
	surfaceparm slick
	q3map_bounce .2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alpine/ice1_21.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Foghull shaders 
 
textures/alpine/fog_grey 
{ 
     qer_editorimage textures/sfx/fog_grey.tga 
     qer_trans 0.75 
     surfaceparm nolightmap 
     surfaceparm nonsolid 
     surfaceparm noimpact 
     surfaceparm trans 
     surfaceparm fog  // !!FOG!! 
     fogparms ( 0.5 0.5 0.5 ) 2560
} 
 
textures/alpine/foghull_grey 
{ 
     qer_trans 0.75 
     surfaceparm nolightmap 
     //surfaceparm nonsolid 
     surfaceparm noimpact 
     //surfaceparm trans 
     q3map_nofast 
     q3map_surfacelight 70 
     //q3map_sun 0.274632 0.274632 0.358662 25 325 35 
     q3map_sun     0.60 0.55 0.55 60 220 60 
     surfaceparm sky  // !!SKY!! 
     skyparms textures/alpine/foghull_grey 0 - 
} 

textures/alpine/cabin_walls_bottom
{
	qer_editorimage textures/alpine/cabin_walls_bottom.tga
	q3map_bounce .4
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alpine/cabin_walls_bottom.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alpine/cabin_walls
{
	qer_editorimage textures/alpine/cabin_walls.tga
	q3map_bounce .4
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alpine/cabin_walls.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/alpine/cabin_walls_bottom
{
	qer_editorimage textures/alpine/cabin_walls_bottom.tga
	q3map_bounce .4
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alpine/cabin_walls_bottom.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//markerclip for showing CTB markers on terrain
textures/alpine/avmarkerclip
{
	qer_editorimage textures/reaction/qer_marker.tga
	surfaceparm trans
        {
                map textures/common/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }		
}