// Sky shader
textures/cliff/sky1
{
  surfaceparm noimpact
  surfaceparm nolightmap
  surfaceparm sky

  q3map_globaltexture
  qer_editorimage textures/cliff/desertnite_ed.tga
  q3map_sun 1.00 0.902 0.942 50 0 90
  q3map_surfacelight 30
  skyparms env/desertnite 128 -
}

// Sand cloud (fog)
// Not used but it was an interesting idea
textures/cliff/sandstorm
{
surfaceparm trans
surfaceparm nonsolid
surfaceparm fog
surfaceparm nolightmap
qer_nocarve
fogparms ( .64 .34 .24 ) 1200
}

// Rotating fan shader
textures/cliff/moving_airfan
{
  qer_editorimage textures/cliff/fan-frame-u1.tga
  {
    map textures/cliff/fan-frame-u1.tga
    rgbGen identity
  }
  {
    clampmap textures/cliff/fan-blade-u1.tga
    blendfunc blend
    rgbGen identity
    tcMod rotate 999
  }
  {
    map $lightmap 
    blendfunc filter
    rgbGen identity
    tcGen lightmap 
  }
}

// Tram glass shader (generic glass)
textures/cliff/glass2_flat
{
  qer_editorimage textures/cliff/v_glass2.tga
  qer_trans 0.2
  surfaceparm trans 
  //surfaceparm nolightmap
  surfaceparm rq3_glass
  cull none

  { map textures/cliff/v_glass2.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

  }
          
}

// Tram base glass
textures/cliff/trambaseglass
{
  qer_trans 0.40
  qer_editorimage textures/reaction/qer_glass.tga
  surfaceparm trans 
  //surfaceparm nolightmap
  surfaceparm rq3_glass
  cull none

  {
    map textures/effects/tinfx3.tga
    blendFunc GL_ONE GL_ONE
    tcMod turb 0 0.02 0 0.02 
    tcgen environment
    rgbGen identity
  }
}

// Stair railing shader
textures/cliff/tall_railing
{
  surfaceparm alphashadow
  surfaceparm trans
  surfaceparm rq3_metal2
  cull none
  //nomipmaps
  nopicmip
  qer_editorimage textures/cliff/grate2.tga
  {
    map textures/cliff/grate2.tga
    blendFunc GL_ONE GL_ZERO
    alphaFunc GE128
    depthWrite
    rgbGen identity
  }
  {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
  }
}

// Rotating fan shader
textures/cliff/moving_airfan
{
  qer_editorimage textures/cliff/fan-frame-u1.tga
  
        {
          map textures/cliff/fan-frame-u1.tga
          rgbGen identity
  }
        {
          clampmap textures/cliff/fan-blade-u1.tga
          blendFunc blend
          tcmod rotate 999
          rgbGen identity
  }
  {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

// Gravel roof shader
textures/cliff/gravel_roof
{
  qer_editorimage textures/cliff/v_gravel1.tga
  surfaceparm rq3_gravel
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/cliff/v_gravel1.tga
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}

// Tram outside shader
textures/cliff/tram_skin
{
  qer_editorimage textures/cliff/ind-white-rusty.tga
  surfaceparm rq3_metal2
  {
    map $lightmap
    rgbGen identity
  }

  {
    map textures/cliff/ind-white-rusty.tga
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity

  }

}

// Tram shader
textures/cliff/tram_metal
{
  qer_editorimage textures/cliff/defaultmetal.tga
  surfaceparm rq3_metal2
  {
    map $lightmap
    rgbGen identity
  }

  {
    map textures/cliff/defaultmetal.tga
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity

  }

}

// Sandy cliff shader
textures/cliff/sandy_floor
{
  qer_editorimage textures/cliff/sand1b.tga
  surfaceparm dust
  surfaceparm rq3_sand
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/cliff/sand1b.tga
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}

// Metal plating shader
textures/cliff/metal_plating
{
  qer_editorimage textures/base_floor/clang_floor.tga
  surfaceparm rq3_metal2
  {
    map $lightmap
    rgbGen identity
  }

  {
    map textures/base_floor/clang_floor.tga
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity

  }

}

// Tram cable shiny wire texture
textures/cliff/wire_shiny
{
  qer_editorimage textures/cliff/wire.tga
  {
    rgbGen identity
    map $lightmap
  }
  {
    map textures/cliff/wire.tga
    blendFunc GL_DST_COLOR GL_SRC_ALPHA
    rgbGen identity
    alphaGen lightingSpecular
  }
      
}


// Tram base ceiling lights
textures/cliff/ceiling_light
{
  qer_editorimage textures/cliff/v_ceiling_tile4.tga
  surfaceparm nomarks
  q3map_surfacelight 4000
  light 1
  {
    map textures/cliff/v_ceiling_tile4.tga
  }
  { map $lightmap
    blendFunc filter
  }
  {
    map textures/cliff/v_ceiling_light2.tga
    blendFunc add
  }
}
