
//////////////////////////////
//  CountryClub Shaders    //
//////////////////////////////

//This Skybox comes from "Gunmetal" by Mad Genius Software, and has been converted 
//for Quake III Arena. Textures copyright 1998, Justin Fisher. 

textures/shaycc/jf-forest_sky
{
	qer_editorimage textures/shaycc/cc_forest_qer1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100  // increased from 75 for beta 2.0
	q3map_lightsubdivide 512 // added for beta 2.0
	q3map_backsplash 0 512 // added for beta 2.0
	q3map_nofast  //added for beta 2.0
	q3map_sun 1 .9 .8 75 40 70  // sun brightness increased from 50 for beta 2.0
	skyparms env/shaycc/forest512 - -
}

//****************************************************
// *************************************************
// *
// * Country Club terrain shaders
// *
// *************************************************
textures/shaycc/shayccterrain
{
	qer_editorimage textures/common/terrain.tga
	surfaceparm nodraw
	surfaceparm nomarks
    	surfaceparm nolightmap
	surfaceparm grass
	q3map_terrain  //added for Beta 2.0
}

textures/shaycc/ccterrain1_0

{
	surfaceparm nolightmap
	q3map_novertexshadows
	//q3map_forcesunlight  //removed for beta 2.0
	surfaceparm grass
	q3map_lightimage textures/shaycc/cc_grass_256.tga  //added for beta 2.0
	q3map_tcGen ivector ( 200 0 0 ) ( 0 200 0 )  //added for beta 2.0
	{

		map textures/shaycc/cc_grass_256.tga
		rgbGen vertex
		//tcmod scale 0.125 0.125  //removed for beta 2.0
	}
	
}

textures/shaycc/ccterrain1_1

{
	surfaceparm nolightmap
	q3map_novertexshadows
	//q3map_forcesunlight //removed for beta 2.0
	q3map_lightimage textures/shaycc/cc_rock1.tga  //added for beta 2.0
	q3map_tcGen ivector ( 200 0 0 ) ( 0 200 0 )  //added for beta 2.0
	{
		
		map textures/shaycc/cc_rock1.tga
		rgbGen vertex
		//tcmod scale 0.1 0.1  //removed for beta 2.0
    
	}


}

textures/shaycc/ccterrain1_2

{
	surfaceparm nolightmap
	q3map_novertexshadows
	//q3map_forcesunlight //removed for beta 2.0
	surfaceparm grass
	q3map_lightimage textures/shaycc/cc_shortgrass.tga  //added for beta 2.0
	q3map_tcGen ivector ( 200 0 0 ) ( 0 200 0 )  //added for beta 2.0
	{
		
		map textures/shaycc/cc_shortgrass.tga
		rgbGen vertex
		//tcmod scale 0.1 0.1  //removed for beta 2.0
    
	}



}

textures/shaycc/ccterrain1_0to1

{
	surfaceparm nolightmap
	q3map_novertexshadows
	//q3map_forcesunlight //removed for beta 2.0
	q3map_lightimage textures/shaycc/cc_grass_256.tga  //added for beta 2.0
	q3map_tcGen ivector ( 200 0 0 ) ( 0 200 0 )  //added for beta 2.0

	{
		map textures/shaycc/cc_grass_256.tga
		rgbGen vertex
		alphaGen vertex
		//tcmod scale 0.125 0.125  //removed for beta 2.0
	}

	{
		map textures/shaycc/cc_rock1.tga
		//tcmod scale 0.1 0.1 //removed for beta 2.0
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/shaycc/ccterrain1_0to2

{
	surfaceparm nolightmap
	q3map_novertexshadows
	//q3map_forcesunlight //removed for beta 2.0
	surfaceparm grass
	q3map_lightimage textures/shaycc/cc_grass_256.tga  //added for beta 2.0
	q3map_tcGen ivector ( 200 0 0 ) ( 0 200 0 )  //added for beta 2.0

	{
		map textures/shaycc/cc_grass_256.tga
		rgbGen vertex
		alphaGen vertex
		//tcmod scale 0.125 0.125 //removed for beta 2.0
	}

	{
		map textures/shaycc/cc_shortgrass.tga
		//tcmod scale 0.1 0.1 //removed for beta 2.0
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}



}

textures/shaycc/ccterrain1_1to2

{
	surfaceparm nolightmap
	q3map_novertexshadows
	//q3map_forcesunlight
	q3map_lightimage textures/shaycc/cc_rock1.tga  //added for beta 2.0
	q3map_tcGen ivector ( 200 0 0 ) ( 0 200 0 )  //added for beta 2.0

	{
		map textures/shaycc/cc_rock1.tga
		rgbGen vertex
		alphaGen vertex
		//tcmod scale 0.125 0.125  //removed for beta 2.0
	}

	{
		map textures/shaycc/cc_shortgrass.tga
		//tcmod scale 0.1 0.1 //removed for beta 2.0
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/shaycc/vxccterrain
{
	surfaceparm nolightmap
	q3map_novertexshadows
	//q3map_forcesunlight
	q3map_tcGen ivector ( 200 0 0 ) ( 0 200 0 )
	{
		map textures/shaycc/cc_grass_256.tga
		rgbGen vertex
	}
}

// Watter and Model shaders

textures/shaycc/cc_calm_water
{
		qer_editorimage textures/shaycc/cc_pool.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm water

		cull disable
		//deformVertexes wave 40 sin 0 .25 0 2
		//deformVertexes wave 40 sin 0 .25 0 .5
			
		{ 
			map textures/shaycc/cc_pool.tga
			blendFunc blend
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcMod turb .05 .01 0 -.07
			//tcmod scroll .004 -.001
		}
}

models\mapobjects\shaymon\ccwaterfall\cc_waterfall
{

		cull disable
			
		{ 
			map models\mapobjects\shaymon\ccwaterfall\cc_waterfall.tga
			blendFunc blend
			rgbgen identity
			tcmod scroll 0 -.4.5
		}
}

models\mapobjects\reaction\trees\maple\maple_fall_256
{
	cull none
	nopicmip

	{
		map models\mapobjects\reaction\trees\maple\maple_fall_256.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models\mapobjects\reaction\trees\maple\maple_green_256
{
	cull none
	nopicmip

	{
		map models\mapobjects\reaction\trees\maple\maple_green_256.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models\mapobjects\reaction\trees\maple\maple_snow_256
{
	cull none
	nopicmip

	{
		map models\mapobjects\reaction\trees\maple\maple_snow_256.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}