// Shaders for Friction--a Reaction Quake 3 map


//Metal walkway shader for friction

textures/friction/flr_dkmtlodhlz
{
	surfaceparm trans
	cull none
	qer_editorimage textures/friction/flr_dkmtlodhlz.tga
	surfaceparm rq3_metal2
	surfaceparm alphashadow
	nopicmip
	q3map_bounce 0.0
	{
		map textures/friction/flr_dkmtlodhlz.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}		
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/friction/cornice
{
	surfaceparm rq3_wood
	q3map_bounce 0.0		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/friction/cornice.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// Shader for bus stop glass (one for each pane)

textures/friction/busstopglass1
{
	qer_trans 0.40
	//surfaceparm nolightmap
	//surfaceparm glass
	qer_editorimage textures/friction/frictionglass1.tga
	cull disable
	{
		map textures/friction/frglassfx2.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
	{
		map textures/friction/frictionglass1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/friction/busstopglass2
{
	qer_trans 0.40
	//surfaceparm nolightmap
	//surfaceparm glass
	qer_editorimage textures/friction/frictionglass1.tga
	cull disable
	{
		map textures/friction/frglassfx2.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
	{
		map textures/friction/frictionglass1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/friction/busstopglass3
{
	qer_trans 0.40
	//surfaceparm nolightmap
	//surfaceparm glass
	qer_editorimage textures/friction/frictionglass1.tga
	cull disable
	{
		map textures/friction/frglassfx2.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
	{
		map textures/friction/frictionglass1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/friction/busstopglass4
{
	qer_trans 0.40
	//surfaceparm nolightmap
	//surfaceparm glass
	qer_editorimage textures/friction/frictionglass1.tga
	cull disable
	{
		map textures/friction/frglassfx2.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
	{
		map textures/friction/frictionglass1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

// Shaders for shattered bus stop glass

textures/friction/glass_shatter1
{
	qer_trans 0.40
	//surfaceparm nolightmap
	surfaceparm glass
	qer_editorimage textures/friction/glass_shatter.tga
	cull disable
	{
		map textures/friction/glass_shatter.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		alphaGen lightingSpecular
	}
}


//Shiney window textures

textures/friction/stw-windows-tall_env
{
	qer_editorimage textures/friction/stw-windows-tall.tga
	{
		map textures/friction/frglassfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/friction/stw-windows-tall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/friction/stw-windows-small2_env
{
	qer_editorimage textures/friction/stw-windows-small2.tga
	{
		map textures/friction/frglassfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/friction/stw-windows-small2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//weapon clip with metal2 surfaceparm

textures/reaction/weapclipmetal
{
	qer_trans 0.40
	qer_editorimage textures/common/weapclip.tga
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm rq3_metal2
	q3map_bounce 0
}

// Lamp and light shaders (thanks Iikka Keranen)

textures/friction/ik_lantern_5000
{
	q3map_lightimage textures/friction/ik_lantern_glow.tga
	qer_editorimage textures/friction/ik_lantern_lit.tga
	surfaceparm nomarks
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/friction/ik_lantern_lit.tga
		blendFunc blend
	}
        
	{
		map textures/friction/ik_lantern_glow.tga
		blendFunc add
		rgbGen wave noise .4 .2 0 7
	}
}

textures/friction/ik_lantern_white
{
	q3map_lightimage textures/friction/ik_lantern_white_glow.tga
	qer_editorimage textures/friction/ik_lantern_white.tga
	surfaceparm nomarks
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/friction/ik_lantern_white.tga
		blendFunc blend
	}
        
	{
		map textures/friction/ik_lantern_white_glow.tga
		blendFunc add
		rgbGen wave noise .6 .2 0 15
	}
	
}

// Shader for breakable glass (thanks Inolen)

textures/friction/breakableglass
{
	qer_trans 0.40
	q3map_lightimage textures/friction/frglassfx.tga
	qer_editorimage textures/friction/breakableglass.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	q3map_bounce 0
	{
		map textures/friction/frglassfx.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
}

// shader for fan

textures/friction/equipmentfan
{
	qer_editorimage textures/friction/fan_frame.tga
	//surfaceparm alphashadow
	surfaceparm rq3_metal2	
        {
	        map textures/friction/fan_frame.tga
	        rgbGen identity
	}
        {
	        clampmap textures/friction/fan_blade.tga
                blendFunc blend
                tcmod rotate 999
	        rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// Shader for roof railing in Friction

textures/friction/roof_railing
{
	//surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	qer_editorimage textures/friction/roof_railing.tga
	{
		map textures/friction/roof_railing.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/friction/windowa_on
{
//	q3map_lightimage textures/friction/windowa_on_glow.tga
	qer_editorimage textures/friction/windowa_on.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 64
	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/friction/windowa_on.tga
		blendFunc blend
	}
}

// shader for vent steam

textures/friction/frictionsteam
{
    qer_editorimage textures/friction/frictionsteam.tga
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm pointlight
    deformVertexes wave 50 sin 0 3 0 .3
    //deformVertexes move .3 .1 0  sin 0 .5 0 0.2
    	{
		map textures/friction/frictionsteam.tga
                tcmod scroll 0 0.3
		//blendFunc blend
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

// Shader for grate in friction

textures/friction/grate2
{
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm rq3_metal2
	cull none
	//nomipmaps
	nopicmip
	qer_editorimage textures/friction/grate2.tga
	{
		map textures/friction/grate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Shader for manhole lid and signs (and vertex lighting versions)

textures/friction/manhole5
{
	surfaceparm nomarks
	polygonOffset
	nopicmip
	qer_editorimage textures/friction/manhole5.tga
	{
		map textures/friction/manhole5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/friction/vx_manhole5
{
	surfaceparm nomarks
	polygonOffset
	nopicmip
	qer_editorimage textures/friction/manhole5.tga
	{
		map textures/friction/manhole5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//	}
}

textures/friction/unauthpersons
{
	surfaceparm nomarks
	polygonOffset
	nopicmip
	qer_editorimage textures/friction/unauthpersons.tga
	{
		map textures/friction/unauthpersons.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/friction/vx_unauthpersons
{
	surfaceparm nomarks
	polygonOffset
	nopicmip
	qer_editorimage textures/friction/unauthpersons.tga
	{
		map textures/friction/unauthpersons.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//	}
}

textures/friction/walkclosed
{
	surfaceparm nomarks
	polygonOffset
	nopicmip
	qer_editorimage textures/friction/walkclosed.tga
	{
		map textures/friction/walkclosed.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/friction/vx_walkclosed
{
	surfaceparm nomarks
	polygonOffset
	nopicmip
	qer_editorimage textures/friction/walkclosed.tga
	{
		map textures/friction/walkclosed.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//	}
}

textures/friction/roadclosed
{
	surfaceparm nomarks
	polygonOffset
	nopicmip
	qer_editorimage textures/friction/roadclosed.tga
	{
		map textures/friction/roadclosed.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/friction/vx_roadclosed
{
	surfaceparm nomarks
	polygonOffset
	nopicmip
	qer_editorimage textures/friction/roadclosed.tga
	{
		map textures/friction/roadclosed.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//	}
}

// shader for c2nite sky box (256x256 size)

textures/friction/c2nite_skybox
{

	qer_editorimage textures/friction/c2nite_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 256
	q3map_nofast
	q3map_sun 0 .15 .25 25 180 90
	//q3map_sun 0 .15 .25 95 -180 90
	q3map_surfacelight 75 // was 82 for beta 2.0
	skyparms env/friction/c2nite - - 
}


// SMOKEY SHADERS
// VERSION 1.2
// See smoke.txt for details on how to build
// If you cannot find this file, download the
// full smokepak from freebrief.tripod.com/q3a/mappaks.htm
//
// Shader by IMOIS
//
// IMOIS: i_m_o_i_s@hotmail.com
// Freebrief Center: freebrief.tripod.com
//
//
//


textures/friction/puff1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.0 0.8
	deformvertexes move 0 20 0 sin 0 1 0.0 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none	
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 360
	        tcMod stretch Sawtooth        0.1 1.0 0.0 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.0 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/friction/puff2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.1 0.8
	deformvertexes move 0 20 0 sin 0 1 0.5 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 350
	        tcMod stretch Sawtooth        0.1 1.0 0.1 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.1 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/friction/puff3
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.2 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 370
	        tcMod stretch Sawtooth 	      0.1 1.0 0.2 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.2 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/friction/puff4
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.3 0.8
	deformvertexes move 0 20 0 sin 0 1 0.7 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 380
	        tcMod stretch Sawtooth        0.1 1.0 0.3 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.3 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/friction/puff5
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.4 0.8
	deformvertexes move 0 20 0 sin 0 1 0.1 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		tcMod rotate 390
		clampmap textures/friction/smokeeffect.tga
	        tcMod stretch Sawtooth        0.1 1.0 0.4 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.4 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/friction/puff6
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.5 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 400
	        tcMod stretch Sawtooth        0.1 1.0 0.5 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.5 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/friction/puff7
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.6 0.8
	deformvertexes move 0 20 0 sin 0 1 0.3 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 375
	        tcMod stretch Sawtooth        0.1 1.0 0.6 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.6 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/friction/puff8
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.7 0.8
	deformvertexes move 0 20 0 sin 0 1 0.9 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 355
	        tcMod stretch Sawtooth        0.1 1.0 0.7 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.7 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/friction/puff9
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.8 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 330
	        tcMod stretch Sawtooth        0.1 1.0 0.8 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.8 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/friction/puff10
{
	surfaceparm noimpact
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 900 Sawtooth 0 1 0.9 0.8
	deformvertexes move 0 20 0 sin 0 1 0.5 0.01
	qer_editorimage textures/friction/smokeeditor.tga
	cull none
	{
		clampmap textures/friction/smokeeffect.tga
		tcMod rotate 345
	        tcMod stretch Sawtooth        0.1 1.0 0.9 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.9 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}