// Shaders for Jericho--a Reaction Quake 3 map

// Shader for laundry line in Jericho

textures/jericho/laundry_line
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	qer_editorimage textures/jericho/laundry_line.tga
	deformVertexes wave 256 sin 0 .5 0 .2
	deformVertexes wave 128 sin 0 .5 0 .5
	tessSize 32
	{
		map textures/jericho/laundry_line.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/jericho/ter_botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
	surfaceparm dust
	qer_editorimage textures/common/botclip.tga
}

// Shader for ivy in Jericho

textures/jericho/gn-viney2
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	qer_editorimage textures/jericho/gn-viney2.tga
	{
		map textures/jericho/gn-viney2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Shader for balcony railing in Jericho

textures/jericho/window_railing
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	qer_editorimage textures/jericho/window_railing.tga
	{
		map textures/jericho/window_railing.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Shader for roof trim in Jericho

textures/jericho/roof_trim
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	qer_editorimage textures/jericho/roof_trim.tga
	{
		map textures/jericho/roof_trim.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//**********************************************************************//
//									//
//	Yukongold Sky by The Mighty Pete				//
//	shader by johnny_rocket - 7th December 2000			//
//									//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/jericho/yukongold_skybox
{
	qer_editorimage textures/jericho/yukongold_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_globaltexture
	q3map_nofast
	q3map_surfacelight 100
	q3map_lightsubdivide 256 // 512
	q3map_backsplash 0 0 // was 0 512
	surfaceparm sky
	q3map_sun 1.00 0.902 0.942 90 270 20
	skyparms env/jericho/yukongold - -
}

// Water shader (from liquids/clear_ripple1
textures/jericho/calm_pool
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_lightimage textures/liquids/pool3d_3.tga
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

// Dim lights

textures/jericho/lamppu9c
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/lamppu9c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/jericho/lamppu9c2.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Sign nopicmips and vertex remaps

textures/jericho/alhambra_sign1a
{
	nopicmip
	surfaceparm nomarks
	polygonOffset
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/alhambra_sign1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/vx_alhambra_sign1a
{
	nopicmip
	surfaceparm nomarks
	polygonOffset
	{
		map textures/jericho/alhambra_sign1a.tga
		rgbGen vertex
	}
}

textures/jericho/jericho_sign3
{
	nopicmip
	surfaceparm nomarks
	polygonOffset
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/jericho_sign3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/vx_jericho_sign3
{
	nopicmip
	surfaceparm nomarks
	polygonOffset
	{
		map textures/jericho/jericho_sign3.tga
		rgbGen vertex
	}
}

// Shader for tile texture

textures/jericho/jer_tiletrim3a
{
	q3map_bounce 0.25
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/jer_tiletrim3a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/jericho/jerichofx.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
}

// Shaders for surfaceparms

// Sand/gravel - sandy road and roof tops

textures/jericho/street
{
	surfaceparm rq3_gravel
	surfaceparm dust		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/street.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/jer_roof
{
	surfaceparm rq3_gravel
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/jer_roof.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/beton87a
{
	surfaceparm rq3_gravel
	surfaceparm dust
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/beton87a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Wood

textures/jericho/cratemod128
{
	surfaceparm rq3_wood		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/cratemod128.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/ik_wood_roof128b
{
	surfaceparm rq3_wood		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/ik_wood_roof128b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/moldy-plywood
{
	surfaceparm rq3_wood		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/moldy-plywood.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/floor02
{
	surfaceparm rq3_wood		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/floor02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/dt_trim_wood
{
	surfaceparm rq3_wood		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/dt_trim_wood.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/oldshutter-256
{
	surfaceparm rq3_wood
	polygonOffset
	surfaceparm nomarks	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/oldshutter-256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/vx_oldshutter-256
{
	surfaceparm rq3_wood
	polygonOffset
	surfaceparm nomarks	
	{
		map textures/jericho/oldshutter-256.tga
		rgbGen vertex
	}
}

textures/jericho/green_shutter2
{
	surfaceparm rq3_wood
	polygonOffset
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/green_shutter2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/vx_green_shutter2
{
	surfaceparm rq3_wood
	polygonOffset
	surfaceparm nomarks
	{
		map textures/jericho/green_shutter2.tga
		rgbGen vertex
	}
}

textures/jericho/lockedwindow_256
{
	surfaceparm rq3_wood
	polygonOffset
	surfaceparm nomarks	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/lockedwindow_256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/vx_lockedwindow_256
{
	surfaceparm rq3_wood
	polygonOffset
	surfaceparm nomarks	
	{
		map textures/jericho/lockedwindow_256.tga
		rgbGen vertex
	}
}

// Metal - grates, dome, door and trim

textures/jericho/door007
{
	surfaceparm rq3_metal2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/door007.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/cretemet02_trim
{
	surfaceparm rq3_metal2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/cretemet02_trim.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/golddome2
{
	surfaceparm rq3_metal2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/golddome2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/jericho/jerskyfx.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
}

textures/jericho/irondoor_256
{
	surfaceparm rq3_metal2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/irondoor_256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//for see-through version of the same door

textures/jericho/door007a
{
	surfaceparm rq3_metal2	
        surfaceparm trans	
	cull none
        nopicmip
	{
		map textures/jericho/door007a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// modified id shader proto_grate3

textures/jericho/jer_grate
{
	surfaceparm rq3_metal2	
        surfaceparm trans	
	cull none
        nopicmip
	{
		map textures/jericho/jer_grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Glass 

textures/jericho/dt_window1
{
	surfaceparm rq3_glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/dt_window1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/barredwindow_2
{
	surfaceparm rq3_glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/barredwindow_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/jericho/green_window2
{
	surfaceparm rq3_glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/green_window2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//stone roadway (for texture alignment with terrain)

textures/jericho/stone41a
{
	q3map_globaltexture
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jericho/stone41a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//lightmap version of the terrain

textures/jericho/jerichoter_0
{
	//surfaceparm nolightmap
	surfaceparm dust
	//q3map_novertexshadows
	//q3map_forcesunlight
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	//q3map_globaltexture
	q3map_lightimage textures/jericho/street.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/jericho/street.tga
		rgbGen identity
		//rgbGen vertex
		//tcmod scale 0.25 0.25
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/jericho/jerichoter_1
{
	//surfaceparm nolightmap
	surfaceparm dust
	//q3map_novertexshadows
	//q3map_forcesunlight
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	//q3map_globaltexture
	q3map_lightimage textures/jericho/stone41a.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/jericho/stone41a.tga
		rgbGen identity
		//rgbGen vertex
		//tcmod scale 0.125 0.125
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/jericho/jerichoter_2
{
	//surfaceparm nolightmap
	surfaceparm dust
	//q3map_novertexshadows
	//q3map_forcesunlight
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	//q3map_globaltexture
	q3map_lightimage textures/jericho/beton87a.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/jericho/beton87a.tga
		rgbGen identity
		//rgbGen vertex
		//tcmod scale 0.25 0.25
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/jericho/jerichoter_0to1
{
	//surfaceparm nolightmap
	surfaceparm dust
	//q3map_novertexshadows
	//q3map_forcesunlight
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	//q3map_globaltexture
	q3map_lightimage textures/jericho/stone41a.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/jericho/street.tga
		rgbGen identity
		//rgbGen vertex
		//alphaGen vertex
		//tcmod scale 0.25 0.25
	}
	{
		map textures/jericho/stone41a.tga
		//rgbGen vertex
		alphaGen vertex
		//tcmod scale 0.125 0.125
		rgbGen identity
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/jericho/jerichoter_0to2
{
	//surfaceparm nolightmap
	surfaceparm dust
	//q3map_novertexshadows
	//q3map_forcesunlight
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	//q3map_globaltexture
	q3map_lightimage textures/jericho/stone41a.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/jericho/street.tga
		rgbGen identity
		//rgbGen vertex
		//alphaGen vertex
		//tcmod scale 0.25 0.25
	}
	{
		map textures/jericho/beton87a.tga
		//rgbGen vertex
		alphaGen vertex
		//tcmod scale 0.25 0.25
		rgbGen identity
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/jericho/jerichoter_1to2
{
	//surfaceparm nolightmap
	surfaceparm dust
	//q3map_novertexshadows
	//q3map_forcesunlight
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	//q3map_globaltexture
	q3map_lightimage textures/jericho/stone41a.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/jericho/stone41a.tga
		rgbGen identity
		//rgbGen vertex
		//alphaGen vertex
		//tcmod scale 0.125 0.125
	}
	{
		map textures/jericho/beton87a.tga
		//rgbGen vertex
		alphaGen vertex
		//tcmod scale 0.25 0.25
		rgbGen identity
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/vxjericho/jerichoter
{
	surfaceparm nolightmap
	surfaceparm dust
	q3map_novertexshadows
	q3map_forcesunlight
	q3map_globaltexture
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/jericho/stone41a.tga
		rgbGen vertex
		//tcmod scale 0.125 0.125
	}
}



// palm tree shader

models/mapobjects/palm_tree/palm_tree_leaf_a
{
	cull none
	nopicmip
	// nomipmaps
	deformVertexes wave 36 sin 0 1 0 .1
	deformVertexes wave 210 sin 0 1 0 .1

	{
		map models/mapobjects/palm_tree/palm_tree_leaf_a.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/palm_tree/palm_trunk
{
	
	{
		map models/mapobjects/palm_tree/palm_trunk.tga
		rgbGen vertex
	}
}

