// Shaders for Sludge, Inc. 
// shaders by johnny_rocket (except where noted)


//Tim's fog for map tim_dm8
//Edited by johnny_rocket for Sludge Inc.

textures/sfx/fog_sludge
{
	qer_editorimage textures/sfx/fog_green.tga
	q3map_lightimage textures/sfx/fog_grey.tga
	q3map_bounce 0.0
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .211 .231 .094 ) 192
}


textures/sfx/fog_sludge2
{
	qer_editorimage textures/sfx/fog_green.tga
	q3map_lightimage textures/sfx/fog_grey.tga
	q3map_bounce 0.0
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .211 .231 .094 ) 1024
}

textures/liquids/slime_lowlight
{
//	*************************************************		
//	* slime_lowlight  December 8, 2000		*
//	* Revised id shader by johnny_rocket		*
//	*************************************************	

	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/liquids/slime7.tga
//	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans		
//	q3map_surfacelight 50
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5

	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}

//	{
//		map textures/liquids/slime7.tga
//		blendfunc GL_ONE GL_ONE
//		tcMod turb .2 .1 1 .05
//		tcMod scale .5 .5
//		tcMod scroll .01 .01
//	}
//
	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		

}

//Sky shader for Sludge

textures/skies/sludgesky
{
	qer_editorimage textures/sludge/sludgesky_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 1 1 80 -41 58
	q3map_surfacelight 50
	skyparms env/sludge/sludgessky 1024 -

	{
		map textures/skies/dimclouds.tga
		tcMod scale 4 4
		tcMod scroll -0.025 0.025
		blendFunc add
	}

}

//Signs

textures/sludge/signs1
{
	polygonOffset
	surfaceparm nomarks
	nopicmip		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/signs1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//Lensflare shader for Sludge

textures/sludge/lensflare5
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/sludge/lensflare5.tga
            blendFunc GL_ONE GL_ONE
          }
}

//Metal walkway shaders for Sludge

textures/sludge/metal_platedark
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/metal_platedark.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/metal_platemid
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/metal_platemid.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/metal_platewarningboarder
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/metal_platewarningboarder.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/metal_platewarning
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/metal_platewarning.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/1r_floor
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/1r_floor.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/1_rust_grill01
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/1_rust_grill01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/1_th_trim01
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/1_th_trim01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/1_th_trim02
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/1_th_trim02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/1r_clocktrim02
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/1r_clocktrim02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/1r_clocktrim02
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/1r_clocktrim02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/trim_darktrackbig
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/trim_darktrackbig.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/trim_metalpage_01
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/trim_metalpage_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/trim_rustylarge
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/trim_rustylarge.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/wall_redrusty
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/wall_redrusty.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/trim_warningsmall
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/trim_warningsmall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/wall_redrustybig
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/wall_redrustybig.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sludge/wall_redrustysmall
{
	surfaceparm rq3_metal2		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sludge/wall_redrustysmall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Shader for sludge glass (double sided)

textures/sludge/sludgeglass1
{
	qer_trans 0.40
	//surfaceparm nolightmap
	//surfaceparm glass
	cull disable
	{
		map textures/sludge/sludgeglassfx.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
		rgbGen identity
	}
	{
		map textures/sludge/sludgeglass1.tga
		blendFunc add
		rgbGen identity
	}
//	{
//		map $lightmap
//		blendFunc GL_DST_COLOR GL_ONE
//		rgbGen identity
//	}
}
