// Tequila shader file
// by johnny_rocket (except as otherwise noted)


// 	Stained Glass Window Shaders for Tequila.
//	Window 1

textures/tequila/1window1
{
	//surfaceparm trans
	surfaceparm solid
	//surfaceparm nomarks
	surfaceparm lightfilter	
	q3map_lightimage textures/tequila/1window1.tga
	{
	map textures/tequila/1window1.tga
	}
}

// 	Window 2

textures/tequila/1window2
{
	//surfaceparm trans
	surfaceparm solid
	//surfaceparm nomarks
	q3map_lightimage textures/tequila/1window2.tga
	{
	map textures/tequila/1window2.tga
	}
}

// 	Window 3

textures/tequila/1window3

{
	//surfaceparm trans
	surfaceparm solid
	//surfaceparm nomarks
	q3map_lightimage textures/tequila/1window3.tga
	{
	map textures/tequila/1window3.tga
	}
}

//Window 1 shader for shadow effect

textures/tequila/1window1a
{
	surfaceparm nomarks
	surfaceparm trans
	//nomipmaps
	surfaceparm pointlight
	q3map_surfacelight 200
	q3map_lightsubdivide 64
	q3map_lightimage textures/tequila/1window1a.tga
	{
	map textures/tequila/1window1a.tga
	blendFunc add
	rgbGen vertex
	}
}

//Light1_3000 shader (with correct surfacelight amount)
//not used in latest build

textures/tequila/light1_3000
{
	qer_editorimage textures/tequila/light1.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

//Desert Skybox

textures/tequila/desert_skybox
{
	qer_editorimage textures/tequila/desert_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm sky
	q3map_sun 1.00 0.949 0.977 90 270 45
	q3map_surfacelight 125
	skyparms env/tequila/desert - -
}

//Shader for wrought iron fence in tequila (modified from proto_fence and pjgrate1 shaders)

textures/tequila/walliron
{
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm metal2
	cull none
	//nomipmaps
	nopicmip
	qer_editorimage textures/tequila/walliron.tga
	{
		map textures/tequila/walliron.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Shader for candlelight glow and candle flame

textures/tequila/yellowflaresmall
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/tequila/yellowflaresmall.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise .5 .1 0 8
	}
}

textures/tequila/candleflame
{
	surfaceparm nolightmap
	{
		map textures/tequila/candleflame.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise .5 .1 0 8
	}
}

// 	Plain glass.
//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/

textures/tequila/plainglass
{
	//surfaceparm nolightmap
	surfaceparm solid
	surfaceparm lightfilter	
	//surfaceparm glass
	//cull disable
	q3map_lightimage textures/tequila/plainglass.tga
	{
		map textures/tequila/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

//Shader for fountain (credits: Rungy)

models/mapobjects/atlantis/water04
{
	deformVertexes wave 100 sin 0 1 0 1.5
	cull none
	entityMergable		// allow all the sprites to be merged together
	{
		map models/mapobjects/atlantis/water04.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -3.5
		rgbGen		vertex
		alphaGen	vertex
	}
}


//Banner shader

textures/tequila/1banner
{
	cull none
	deformVertexes wave 256 sin 0 .5 0 .2
	deformVertexes wave 128 sin 0 .5 0 .5
	tessSize 32
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tequila/1banner.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



//Shaders for new surface sounds	

//Carpets

textures/tequila/draperyblue1
{
	surfaceparm carpet		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tequila/draperyblue1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tequila/embroidery3
{
	surfaceparm carpet		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tequila/embroidery3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//Wood floor

textures/tequila/parque47
{
	surfaceparm wood		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tequila/parque47.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/tequila/floorboards2
{
	surfaceparm wood		
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tequila/floorboards2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//Sand

textures/tequila/sand
{
	surfaceparm gravel		
	surfaceparm dust
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tequila/sand.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//Cactus model

models/mapobjects/cactus/cactus
{
	q3map_lightimage models/mapobjects/cactus/cactus.tga
	{
		map models/mapobjects/cactus/cactus.tga
	}
}