//----------------------
//--shiny blue windows--
//----------------------
textures/urban3/ind-windows-1-alpha
{
	qer_editorimage textures/urban3/ind-windows-1-alpha.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban3/ind-windows-1-alpha.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//---------------------------
//--shiny small apt windows--
//---------------------------
textures/urban3/urban3_sm-window
{
	qer_editorimage textures/urban3/urban3_sm-window.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban3/urban3_sm-window.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap 
		rgbGen identity
		blendFunc filter
	}
}

//---------------------
//--shiny apt windows--
//---------------------
textures/urban3/urban3_apt-windows
{
	qer_editorimage textures/urban3/urban3_apt-windows.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban3/urban3_apt-windows.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//----------
//--skybox--
//----------
textures/urban3/u3sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
      q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/bluetopclouds.tga 
	q3map_sun 1 1 .8 60 60 75
	q3map_surfacelight 50

      skyparms env/urban3/u3sky - -
      {
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.02 0.03
		tcMod scale 3 2
	}
}

//---------------
//--light flare--
//---------------
textures/urban3/urban_corona
{
	qer_editorimage textures/urban3/urban_corona.tga
	qer_trans 0.5

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformVertexes autoSprite
	nopicmip

//	sort nearest
//	sort additive

	{	
		clampmap textures/urban3/urban_corona.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}

//-------------------
//--non-solid light--
//-------------------
textures/urban3/lt2_2000_non-solid
{
	qer_editorimage textures/base_light/light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbGen wave sin 0.6 0.1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
}

//-----------
//--Air Fan--
//-----------
textures/urban3/moving_airfan
{
	qer_editorimage textures/urban3/fan-frame-u1.tga
	
        {
	        map textures/urban3/fan-frame-u1.tga
	        rgbGen identity
	}
        {
	        clampmap textures/urban3/fan-blade-u1.tga
                blendFunc blend
                tcmod rotate 999
	        rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//-------------
//--Waterfall--
//-------------
textures/urban3/waterfall
{
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tessSize 64
	cull disable
	deformVertexes wave 8 triangle .2 .2 .15 .4
	
	{
		map textures/urban3/waterfall_1.tga
		blendfunc GL_ONE GL_ONE		
		tcMod scale 1.0 2.0
		tcMod Scroll .3 1
                tcMod turb .1 .25 0 -.1
	}
	{
		map textures/urban3/waterfall_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .5
		tcMod turb .1 .075 .5 .05
		tcMod Scroll .01 .8
	}
}

//---------
//--Glass--
//---------
textures/urban3/glass_clear
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	cull none
	surfaceparm trans
	surfaceparm nonsolid 
	surfaceparm nolightmap
	{
		map textures/effects/tinfx2.tga
            tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
   //   {
	//	map $lightmap
	//	rgbGen identity
	//	blendFunc filter
   //	}

}

//----------
//--Metal--
//----------
textures/urban3/pewter_nonsolid_u3
{
	qer_editorimage textures/base_trim/dirty_pewter.tga
	cull none
	surfaceparm trans 
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/base_trim/dirty_pewter.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//----------------
//--Metal Shiny--
//----------------
textures/urban3/pewter_shiney_u3
{   
	qer_editorimage textures/base_trim/dirty_pewter.tga 
 
     	{
                map textures/effects/tinfx2.tga       
                tcGen environment
                rgbGen identity
	}   
      {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
      {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//---------------------------------------------------------------

//---------
//--Smoke--
//---------
// This file was automatically created by Particle Studio.
// For more information about Particle Studio, please
// visit http://www.quake3stuff.com/freebrief

// If this file was created with work-around code switched on,
// you will have to remove all occurences of the string
// "//-UNCMT4RELEASE-//" after you compile the map.
// 
// If you forget to do this,  your particles will look flat and 
// will have misaligned textures.

textures/urban3/steam_1
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 24.072479 16.608704 116.381546 sawtooth 0 1 0.056780 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.259084 -0.259084 0.056780 0.333333
rgbGen wave sawtooth 0.661916 -0.002503 0.056780 0.333333
tcMod stretch sawtooth 0.507624 0.467492 0.056780 0.333333
blendfunc blend
}
}

textures/urban3/steam_2
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 27.164194 10.836963 116.381546 sawtooth 0 1 1.160390 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.543516 -0.543516 1.160390 0.333333
rgbGen wave sawtooth 0.930638 -0.247530 1.160390 0.333333
tcMod stretch sawtooth 0.521162 0.637516 1.160390 0.333333
blendfunc blend
}
}

textures/urban3/steam_3
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.782120 29.113453 116.381546 sawtooth 0 1 -0.197501 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.866988 -0.866988 -0.197501 0.333333
rgbGen wave sawtooth 0.684707 -0.027015 -0.197501 0.333333
tcMod stretch sawtooth 0.317933 0.595596 -0.197501 0.333333
blendfunc blend
}
}

textures/urban3/steam_4
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -29.245417 -0.196826 116.381546 sawtooth 0 1 1.307062 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.889132 -0.889132 1.307062 0.333333
rgbGen wave sawtooth 0.954015 -0.157439 1.307062 0.333333
tcMod stretch sawtooth 0.658507 0.369369 1.307062 0.333333
blendfunc blend
}
}

textures/urban3/steam_5
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 28.253735 -7.553788 116.381546 sawtooth 0 1 0.075274 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.409113 -0.409113 0.075274 0.333333
rgbGen wave sawtooth 0.957628 0.039821 0.075274 0.333333
tcMod stretch sawtooth 0.506476 0.568483 0.075274 0.333333
blendfunc blend
}
}

textures/urban3/steam_6
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 7.552441 28.254095 116.381546 sawtooth 0 1 0.481780 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.658290 -0.658290 0.481780 0.333333
rgbGen wave sawtooth 0.806769 0.122208 0.481780 0.333333
tcMod stretch sawtooth 0.333363 0.821238 0.481780 0.333333
blendfunc blend
}
}

textures/urban3/steam_7
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 4.437522 -28.907467 116.381546 sawtooth 0 1 0.557649 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.253127 -0.253127 0.557649 0.333333
rgbGen wave sawtooth 0.791656 0.156462 0.557649 0.333333
tcMod stretch sawtooth 0.582504 0.421299 0.557649 0.333333
blendfunc blend
}
}

textures/urban3/steam_8
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -24.401031 16.122124 116.381546 sawtooth 0 1 -0.290521 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.898508 -0.898508 -0.290521 0.333333
rgbGen wave sawtooth 0.853548 -0.156182 -0.290521 0.333333
tcMod stretch sawtooth 0.586727 0.477917 -0.290521 0.333333
blendfunc blend
}
}

textures/urban3/steam_9
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 28.888269 4.560818 116.381546 sawtooth 0 1 0.391690 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.428449 -0.428449 0.391690 0.333333
rgbGen wave sawtooth 0.615528 0.001270 0.391690 0.333333
tcMod stretch sawtooth 0.369863 0.648186 0.391690 0.333333
blendfunc blend
}
}

textures/urban3/steam_10
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -23.396778 17.547760 116.381546 sawtooth 0 1 0.219993 0.333333
{
clampmap textures/urban3/smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.736760 -0.736760 0.219993 0.333333
rgbGen wave sawtooth 0.892550 -0.087478 0.219993 0.333333
tcMod stretch sawtooth 0.439995 0.384555 0.219993 0.333333
blendfunc blend
}
}

//----------------
//--Nodraw Smoke--
//----------------
textures/urban3/nodraw_steam_1
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/urban3/nodraw_steam_2
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/urban3/nodraw_steam_3
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/urban3/nodraw_steam_4
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/urban3/nodraw_steam_5
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/urban3/nodraw_steam_6
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/urban3/nodraw_steam_7
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/urban3/nodraw_steam_8
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/urban3/nodraw_steam_9
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/urban3/nodraw_steam_10
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}




//----------
//--Sparks--
//----------
// This file was automatically created by Particle Studio.
// For more information about Particle Studio, please
// visit http://www.quake3stuff.com/freebrief

// If this file was created with work-around code switched on,
// you will have to remove all occurences of the string
// "//-UNCMT4RELEASE-//" after you compile the map.
// 
// If you forget to do this,  your particles will look flat and 
// will have misaligned textures.

textures/urban3/sparks_1
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 7.782373 -6.279679 0.017129 sawtooth 0 1 0.759145 2.000000
{
clampmap textures/urban3/spark.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -0.387075 0.759145 2.000000
rgbGen wave sawtooth 1.000000 -0.400000 0.759145 2.000000
tcMod stretch sawtooth 0.030000 0.000000 0.759145 2.000000
blendfunc blend
}
}

textures/urban3/sparks_2
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.401114 -9.528795 2.690528 sawtooth 0 1 1.201962 2.000000
{
clampmap textures/urban3/spark.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -0.424747 1.201962 2.000000
rgbGen wave sawtooth 1.000000 -0.400000 1.201962 2.000000
tcMod stretch sawtooth 0.030000 0.000000 1.201962 2.000000
blendfunc blend
}
}

textures/urban3/sparks_3
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 6.250152 -7.500110 2.164244 sawtooth 0 1 1.067943 2.000000
{
clampmap textures/urban3/spark.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -0.452684 1.067943 2.000000
rgbGen wave sawtooth 1.000000 -0.400000 1.067943 2.000000
tcMod stretch sawtooth 0.030000 0.000000 1.067943 2.000000
blendfunc blend
}
}

textures/urban3/sparks_4
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -3.417946 -9.252096 1.648136 sawtooth 0 1 0.846709 2.000000
{
clampmap textures/urban3/spark.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -0.444389 0.846709 2.000000
rgbGen wave sawtooth 1.000000 -0.400000 0.846709 2.000000
tcMod stretch sawtooth 0.030000 0.000000 0.846709 2.000000
blendfunc blend
}
}

textures/urban3/sparks_5
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 2.939370 -9.509152 0.967534 sawtooth 0 1 0.824662 2.000000
{
clampmap textures/urban3/spark.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -0.351369 0.824662 2.000000
rgbGen wave sawtooth 1.000000 -0.400000 0.824662 2.000000
tcMod stretch sawtooth 0.030000 0.000000 0.824662 2.000000
blendfunc blend
}
}
